<?php

/*
作    用: 截取指点长度的中文字符
参    数: $str_cut: 所要截取的字符
$start:   开始字符
$p  :     是否加省略点
*/
function csubstr2($str_cut,$length = 30,$p=0)
{
	if (strlen($str_cut) > $length)
	{
		for($i=0; $i < $length; $i++)
		if (ord($str_cut[$i]) > 128)   $i++;
		if($p==0) $str_cut = substr($str_cut,0,$i);
		if($p==1) $str_cut = substr($str_cut,0,$i) . "...";
	}
	return $str_cut;
}


/**
* 函数名称：strip_end_0
*
* 函数功能：去除小数点后的0
* @param     $d,	数字参数
* @return    string 图片地址
* @update    2012/8/29 xz
*/
function strip_end_0($d)
{
	$d = ( substr( $d , -1 ) == 0 ) ? substr($d, 0, -1) : $d;
	$d = ( substr( $d , -2 ) == ".0" ) ? substr($d, 0, -2) : $d;

	return $d;
}


/**
* 函数名称：pic_thumbTobig
*
* 函数功能：缩略图转化成为大图
* @param     $filename 缩略图地址
* @return    string 图片地址
* @update    2012/8/29 xz
*/
function pic_thumbTobig($filename){

	if(!empty($filename)){
		$tag = "thumb/";
		if(stripos($filename,$tag)){
			$filename = str_replace($tag,"",$filename);
		}
	}

	return $filename;
}



/**
 * 获取大图
 * @param string  $pic_url 缩略图地址
 * @return stirng
 */
if(!function_exists('get_big_pic_new'))
{
	function get_big_pic_new($pic_url){
		if(strpos($pic_url,'thumb/')===false){	  
		   $return_url =preg_replace("/_[0-9]*x-?[0-9]*[_a-z]*\./",".",$pic_url);
		}else{
		   $return_url =    str_replace('thumb/','',$pic_url);
		}
		return $return_url;
		
	}
}


/**
* 函数名称：pic_bigTothumb
*
* 函数功能： 经纪人头像大图转化成为缩略图
* @param     $filename 缩略图地址
* @return    string 图片地址
* @update    2013/10/08 xz
*/
function pic_bigTothumb($filename){

	if(!empty($filename)){

		$tag = "thumb/";
		if(!stripos($filename,$tag)){
			$filename = substr_replace($filename,$tag,-27,0);
		}
	}

	return $filename;
}


/*
* @params    array   $aValue    需要转换的数组
* @params    boolean $case      0:小写、默认值；1：大写
* @return    array              转换后的数组
*/
function array_key_to_case( $aValue , $case = 0 )
{
    $aValueTemp = array();

    foreach ( $aValue as $key => $item )
    {
        if ( $case )
        {
            $keyTemp = strtoupper($key);
        }
        else
        {
            $keyTemp = strtolower($key);
        }

        $aValueTemp[$keyTemp] = $item;

        if ( is_array($item) )
        {
            $aValueTemp[$keyTemp] = array_key_to_case($item, $case);
        }
    }

    return $aValueTemp;
}

/* End of file function_str_helper.php */
/* Location: ./system/helpers/function_str_helper.php */